Subject: Re: linux-next: manual merge of the usb tree with the qcom tree

From: Bjorn Andersson <[email-masked]>
Date: Tue, 21 Sep 2021 06:12:06 -0700

On Mon 20 Sep 19:30 PDT 2021, Stephen Rothwell wrote:

> Hi all,
> 
> Today's linux-next merge of the usb tree got a conflict in:
> 
>   arch/arm64/boot/dts/qcom/ipq6018.dtsi
> 
> between commit:
> 
>   261e8a95d9aa ("arm64: dts: qcom: ipq6018: add usb3 DT description")
> 
> from the qcom tree and commit:
> 
>   9da2c3f76164 ("arm64: qcom: ipq6018: add usb3 DT description")
> 

Greg, this is not a USB patch, can you please drop it from your tree.

Thanks,
Bjorn

> from the usb tree.
> 
> Same author, same date, but the former has this committer comment:
> 
> bjorn: Changed dwc3 node name to usb, per binding
> 
> So I used that version.
> 
> I fixed it up (see above) and can carry the fix as necessary. This
> is now fixed as far as linux-next is concerned, but any non trivial
> conflicts should be mentioned to your upstream maintainer when your tree
> is submitted for merging.  You may also want to consider cooperating
> with the maintainer of the conflicting tree to minimise any particularly
> complex conflicts.
> 
> -- 
> Cheers,
> Stephen Rothwell